/* ==========================================================================
   shared
   ========================================================================== */
.home #pages .wrap {
    padding: 0 1rem 2.375rem;
}
.home #pages h2 {
    color: #113f77;
    font-size: 2rem;
    font-weight: 600;
    padding-bottom: 2rem;
    padding-right: 0;
    text-align: center;
    text-transform: uppercase;
}



/* ==========================================================================
   Intro frame
   ========================================================================== */
:root {
    --background-distance: 260px;
}
#intro-frame {
    background: linear-gradient(#fff 0%, #fff var(--background-distance), #3f7bb3 var(--background-distance), #3f7bb3 100%);
    color: #fff;
    padding: 4.8125rem 0 0;
}
#intro-photos {
    display: grid;
    grid-template-columns: repeat(3, minmax(auto,1fr));
    max-width: 100%;
    min-height: 250px;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
    margin-bottom: 2.75rem;
}
#intro-photos img {
    width: 100%;
}
#intro-frame p{
    font-size: 1.875rem;
    font-weight: 400;
    line-height: 1.5;
    text-align: center;
    margin: 0 auto;
    max-width: 800px;
}
#intro-frame a {
    border: 1px solid #fff;
    border-radius: 5px;
    color: #fff;
    display: inline-block;
    font-size: 1rem;
    margin-top: 1.57rem;
    padding: .75rem 1.5rem;
    white-space: nowrap;
}
#intro-frame a:hover {
    background: #fff;
    color: #4E79AE;
}


/* ==========================================================================
   overview
   ========================================================================== */
#overview p {
    font-size: 1.3125rem;
    font-weight: 300;
    padding-bottom: 1.5rem;
}



/* ==========================================================================
   Financial Aid
   ========================================================================== */
#financial-aid {
    background: #113f77;
    padding: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
}
#financial-aid img {
    margin: 0;
}
#financial-aid span {
    color: #fff;
    font-size: 1.125rem;
    font-weight: 300;
    padding-left: 0.625rem;
    text-align: center;
}



/* ==========================================================================
   Track frame
   ========================================================================== */
#track-frame {
    border-top: 1px solid #ccc;
}

#track-frame .wrap {
    /*padding: 1rem 1.5rem 4.375rem 1.5rem;*/
}

#track-frame .wrap > div {
    display: grid;
    gap: 2rem;
    grid-template-columns: repeat(3, 1fr);
}
#track-frame h3 {
    font-size: 1.25rem;
    font-weight: 600; 
    margin: 0.5rem 0;
}
#track-frame h3 a {
    color: #113f77;
}
#track-frame h3 a:hover,
#track-frame h3 a::after{
    color: #db6845;
}
#track-frame img {
    outline: 1px solid #ddd;
    height; auto;
    max-width: 100%;
}
#track-frame p {
    color: #404040;
    font-weight: 600; 
    line-height: 1.5;
}



/* ==========================================================================
   featured projects
   ========================================================================== */
.home #alumni {
    border-top: 1px solid #ccc;
}
.home #alumni .wrap {
}
.home #alumni .cycle-slide {
    min-height: 420px;
}
.home #alumni .cycle-slide .description h3 {
    color: #113f77;
    font-size: 1.25rem;
    font-weight: 600;
    line-height: 1.3;
}
.home #alumni .cycle-slide .description {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
}
.home #alumni .cycle-slide .description code {
    font-size: 0.9375rem;
}
.home #alumni .cycle-slide .person {
    align-items: center;
    margin-top: 1.5rem;
}
.home #alumni .cycle-slide .person h4 {
    font-weight: 600;
}
.home #alumni .cycle-slide .person p {
    font-style: italic;
    font-weight: 300;
    margin-top: 0.25rem;
}



/* ==========================================================================
   Faculty frame
   ========================================================================== */
#faculty-frame {
    border-top: solid 1px #cccccc;    
}

#faculty-frame .faculty {
    flex-basis: 25%;
    margin-bottom: 2.125rem;
    text-align: center;
}

#faculty-frame .faculty img {
    max-width: 100%;
}

#faculty-frame .faculty h3 {
    font-size: 1.25rem;
    font-weight: 600;
    margin-top: 1rem;
}

#faculty-frame .faculty span {
    display: block;
    font-weight: 600;
    color: #4e79ae;
    line-height: 1.1;
    padding: 0.125rem 0.5rem;
}
#faculty-frame .faculty span + span {
    color: #535353;
}

#button-all-staff {
    background: #db6845;
    color: #ffffff;
    display: inline-block;
    font-size: 1rem;
    font-weight: 600;
    letter-spacing: 1px;    
    padding: 15px;
    text-transform: uppercase;
}

#button-all-staff:hover {
    background: #db9c51;
}

/* Example - Tumblr frame */

#example-frame {
    background: #e8eff7;
    margin-top: 0;
    position: relative;
    padding-bottom: 3rem;
}

#example-frame h3 {
    color: #fff;
    font-size: 1.56rem;    
    font-weight: 300;
    margin: 0 auto 1.875rem auto;
    text-align: center;    
}

#button-for-full {
    background: #db6845;
    color: #fff;
    display: inline-block;
    font-size: 1rem;
    font-weight: 600;
    letter-spacing: 1px;    
    margin: 20px 0 0 0;
    padding: 15px;
    text-transform: uppercase;
}

#button-for-full:hover {
    background: #db9c51;
}

.button-center {
    display: block;
    margin: 0.625rem auto 0 auto;
    width: 260px;    
}

.left-column {
    display: inline-block;
}

/* Projects, from Yeon-Tae's page */

#example-frame #container div.card {
    background: white;
    border: solid 1px #ccc;
    display: inline-block;
    height: 430px;
    margin: 9px;
    padding: 15px;
    transition: box-shadow 0.3s ease-in-out;
    width: 250px;
}
#example-frame #container div.card img {
    max-width: 350px;
    width: 100%;
}
#example-frame #container {
    max-width: 2000px;
    margin: auto;
}
#example-frame div.title {
    color: #113f77;
    font-size: 21px;
    font-weight: 600;
    margin: 10px 0;
}
#example-frame div.student {
    color: #555;
    font-size: 15px;
    font-weight: 600;
    line-height: 1.2;
    margin: 0 0 5px 0;
}

#example-frame a div.card:hover {
    box-shadow: 0 0 2px 2px #ff6902;
}
#example-frame a div.card:hover div.title {
    color: #e03400;
}
#example-frame div#outercontainer {
    margin: auto;
    max-width: 1800px;
}
#example-frame div#header,
div#headermobile {
    background: #fdcd11 url('ss-header.png') no-repeat center;
    background-size: contain;
    margin-bottom: 50px;
    text-align: center;
}
#example-frame div#headermobile {
    background-image: url('ss-header-mobile.png');
    display: none;
    margin-bottom: 20px;
}
#example-frame div#header img,
div#headermobile img {
    max-width: 950px;
    width: 100%;
}
#example-frame div#nav {
    background: #3b3b3b;
    text-align: center;
}
#example-frame div#nav a {
    color: white;
    display: inline-block;
    font-family: 'Source Sans Pro';
    font-size: 12px;
    letter-spacing: .09em;
    padding: 15px;
    text-decoration: none;
    text-transform: uppercase;
    vertical-align: middle;
}
#example-frame div#nav a:hover {
    color: #ea6100;
}
#example-frame div#outercontainer {
    min-width: 300px;
    max-width: 1800px;
    margin: auto;
    padding-left: 15px;
}
#example-frame #container div.card .studentphoto img {
    height: 50px;
    width: 50px;
}
#example-frame #container div.card .studentphoto {
    vertical-align: middle;
}
#example-frame .studentgroup div {
    display: inline-block;
}
#example-frame .studentgroup {
    align-items: center;
    border-top: solid 1px #ccc;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 10px;
    margin-top: 15px;
    padding-top: 15px;
}



/* ==========================================================================
   responsive breakpoint styles
   ========================================================================== */
@media all and (max-width: 1200px) {
    #intro-frame { --background-distance: 200px; }

    #track-frame .wrap > div {
        grid-template-columns: repeat(2, 1fr);
    }

}

@media all and (max-width: 900px) {
    #intro-frame { --background-distance: 130px; }
    #intro-photos { min-height:120px; }

    #faculty-frame .faculty {
        flex-basis: 33.3%;
    }
    #track-frame .image-left, #track-frame .image-right {
        gap: 2rem;
    }
    #track-frame .track div {
        margin-top: 0rem !important;
    }
    #intro-frame .event-dates > span {
        display: block !important;
    }

    .home #alumni .cycle-slide {
        min-height: 500px;
    }
}

@media all and (max-width: 600px) {
    .home #pages .wrap {
        padding: 0 1rem 2.375rem;
    }
    .home #pages h2 {
        font-size: 26px;  /* Override as per design */
    } 
    #intro-frame { 
        --background-distance: 80px; 
        padding-top: 2rem;
        padding-bottom: 2rem;
    }
    #intro-photos {
        min-height: 60px;
        gap: .5rem;
        margin-bottom: 20px;
    }
    #intro-frame .wrap {
        padding-top: 1rem;
        padding-bottom: 1rem;
    }
    
    #track-frame .wrap > div {
        gap: 3rem; 
        grid-template-columns: repeat(1, 1fr);
    }
    #track-frame h3 {
        font-size: 18px;  /* Override as per design */    
    }
    #track-frame p {
        font-size: 14px;  /* Override as per design */
    }
    #track-frame img {
        margin-bottom: 0.5rem;
    }

    
    #faculty-frame .faculty {
        flex-basis: 50%;
    }
    #faculty-frame  .faculty h3, 
    #example-frame h3 {
        font-size: 18px;  /* Override as per design */
    }
    #faculty-frame .faculty span {
        font-size: 14px;  /* Override as per design */
    }


    .home #alumni .cycle-slide {
        display: block !important;
        min-height: 620px;
    }
    .home #alumni .cycle-slide .cycle-slide-cover img {
         margin-bottom: 1rem;
    }
    

    #example-frame #container a {
        float: none;
        margin-left: auto;
        margin-right: auto;
        width: fit-content;        
    }
    #example-frame #container div.card {
        height: auto;
    }    
}


@media all and (max-width: 320px) {
    #example-frame h2 {
        font-size: 1.55rem;
        line-height: 2.1rem;
    }
    #track-frame .button-frame {
        margin: 3rem auto 0;
    } 
}